package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * PvImmbNwp对象 pv_immb_nwp
 * 
 * @author hlf
 * @date 2022-07-11
 */
public class PvImmbNwp extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long pvNo;

    private Long nwpType;

    private Long fileTime;

    private Date dataTime;

    private Double swRadiation;

    private Double groundTemp;

    private Double temp2m;

    private Double hCloudCover;

    private Double mCloudCover;

    private Double lCloudCover;

    private Double humidity2m;

    private Double precipitition;

    private Double snowfall;

    private Double windSpeed;

    private Double windDir;

    private Double groundPressure;

    private Double humidityRatio2m;

    private Double rcsMratioVi;

    private Double humidity500;

    private Double dewPoint850;

    private Double dewPoint2m;

    private Double dewPointDeficit;

    private Double dni;

    private Double dfi;

    private Double weatherCondition;

    private Long dataFlag;

    private Integer type;

    public void setPvNo(Long pvNo) 
    {
        this.pvNo = pvNo;
    }

    public Long getPvNo() 
    {
        return pvNo;
    }
    public void setNwpType(Long nwpType) 
    {
        this.nwpType = nwpType;
    }

    public Long getNwpType() 
    {
        return nwpType;
    }
    public void setFileTime(Long fileTime) 
    {
        this.fileTime = fileTime;
    }

    public Long getFileTime() 
    {
        return fileTime;
    }
    public void setDataTime(Date dataTime) 
    {
        this.dataTime = dataTime;
    }

    public Date getDataTime() 
    {
        return dataTime;
    }
    public void setSwRadiation(Double swRadiation) 
    {
        this.swRadiation = swRadiation;
    }

    public Double getSwRadiation() 
    {
        return swRadiation;
    }
    public void setGroundTemp(Double groundTemp) 
    {
        this.groundTemp = groundTemp;
    }

    public Double getGroundTemp() 
    {
        return groundTemp;
    }
    public void setTemp2m(Double temp2m) 
    {
        this.temp2m = temp2m;
    }

    public Double getTemp2m() 
    {
        return temp2m;
    }
    public void sethCloudCover(Double hCloudCover) 
    {
        this.hCloudCover = hCloudCover;
    }

    public Double gethCloudCover() 
    {
        return hCloudCover;
    }
    public void setmCloudCover(Double mCloudCover) 
    {
        this.mCloudCover = mCloudCover;
    }

    public Double getmCloudCover() 
    {
        return mCloudCover;
    }
    public void setlCloudCover(Double lCloudCover) 
    {
        this.lCloudCover = lCloudCover;
    }

    public Double getlCloudCover() 
    {
        return lCloudCover;
    }
    public void setHumidity2m(Double humidity2m) 
    {
        this.humidity2m = humidity2m;
    }

    public Double getHumidity2m() 
    {
        return humidity2m;
    }
    public void setPrecipitition(Double precipitition) 
    {
        this.precipitition = precipitition;
    }

    public Double getPrecipitition() 
    {
        return precipitition;
    }
    public void setSnowfall(Double snowfall) 
    {
        this.snowfall = snowfall;
    }

    public Double getSnowfall() 
    {
        return snowfall;
    }
    public void setWindSpeed(Double windSpeed) 
    {
        this.windSpeed = windSpeed;
    }

    public Double getWindSpeed() 
    {
        return windSpeed;
    }
    public void setWindDir(Double windDir) 
    {
        this.windDir = windDir;
    }

    public Double getWindDir() 
    {
        return windDir;
    }
    public void setGroundPressure(Double groundPressure) 
    {
        this.groundPressure = groundPressure;
    }

    public Double getGroundPressure() 
    {
        return groundPressure;
    }
    public void setHumidityRatio2m(Double humidityRatio2m) 
    {
        this.humidityRatio2m = humidityRatio2m;
    }

    public Double getHumidityRatio2m() 
    {
        return humidityRatio2m;
    }
    public void setRcsMratioVi(Double rcsMratioVi) 
    {
        this.rcsMratioVi = rcsMratioVi;
    }

    public Double getRcsMratioVi() 
    {
        return rcsMratioVi;
    }
    public void setHumidity500(Double humidity500) 
    {
        this.humidity500 = humidity500;
    }

    public Double getHumidity500() 
    {
        return humidity500;
    }
    public void setDewPoint850(Double dewPoint850) 
    {
        this.dewPoint850 = dewPoint850;
    }

    public Double getDewPoint850() 
    {
        return dewPoint850;
    }
    public void setDewPoint2m(Double dewPoint2m) 
    {
        this.dewPoint2m = dewPoint2m;
    }

    public Double getDewPoint2m() 
    {
        return dewPoint2m;
    }
    public void setDewPointDeficit(Double dewPointDeficit) 
    {
        this.dewPointDeficit = dewPointDeficit;
    }

    public Double getDewPointDeficit() 
    {
        return dewPointDeficit;
    }
    public void setDni(Double dni) 
    {
        this.dni = dni;
    }

    public Double getDni() 
    {
        return dni;
    }
    public void setDfi(Double dfi) 
    {
        this.dfi = dfi;
    }

    public Double getDfi() 
    {
        return dfi;
    }
    public void setWeatherCondition(Double weatherCondition) 
    {
        this.weatherCondition = weatherCondition;
    }

    public Double getWeatherCondition() 
    {
        return weatherCondition;
    }
    public void setDataFlag(Long dataFlag) 
    {
        this.dataFlag = dataFlag;
    }

    public Long getDataFlag() 
    {
        return dataFlag;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("pvNo", getPvNo())
            .append("nwpType", getNwpType())
            .append("fileTime", getFileTime())
            .append("dataTime", getDataTime())
            .append("swRadiation", getSwRadiation())
            .append("groundTemp", getGroundTemp())
            .append("temp2m", getTemp2m())
            .append("hCloudCover", gethCloudCover())
            .append("mCloudCover", getmCloudCover())
            .append("lCloudCover", getlCloudCover())
            .append("humidity2m", getHumidity2m())
            .append("precipitition", getPrecipitition())
            .append("snowfall", getSnowfall())
            .append("windSpeed", getWindSpeed())
            .append("windDir", getWindDir())
            .append("groundPressure", getGroundPressure())
            .append("humidityRatio2m", getHumidityRatio2m())
            .append("rcsMratioVi", getRcsMratioVi())
            .append("humidity500", getHumidity500())
            .append("dewPoint850", getDewPoint850())
            .append("dewPoint2m", getDewPoint2m())
            .append("dewPointDeficit", getDewPointDeficit())
            .append("dni", getDni())
            .append("dfi", getDfi())
            .append("weatherCondition", getWeatherCondition())
            .append("dataFlag", getDataFlag())
            .toString();
    }
}
